name: apskel_pos_flutter_v2
description: "A new Flutter project."

publish_to: "none"

version: 1.0.0+1

environment:
  sdk: ^3.8.1

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  auto_route: ^9.3.0
  get_it: ^8.0.3
  injectable: ^2.5.0
  dio: ^5.8.0+1
  connectivity_plus: ^6.1.4
  data_channel: ^2.0.0+1
  path: ^1.9.1
  path_provider: ^2.1.5
  dartz: ^0.10.1
  intl: ^0.20.2
  flutter_svg: ^2.2.0
  freezed_annotation: ^2.4.1
  json_annotation: ^4.9.0
  shared_preferences: ^2.5.3
  firebase_core: ^4.2.0
  firebase_crashlytics: ^5.0.3
  another_flushbar: ^1.12.32
  flutter_spinkit: ^5.2.2
  bloc: ^9.1.0
  flutter_bloc: ^9.1.1
  sqflite: ^2.4.2
  cached_network_image: ^3.4.1
  shimmer: ^3.0.0
  dropdown_search: ^5.0.6
  syncfusion_flutter_datepicker: ^31.2.3
  fl_chart: ^1.1.1

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0
  auto_route_generator: ^9.3.0
  build_runner: ^2.4.6
  freezed: ^2.4.5
  awesome_dio_interceptor: ^1.3.0
  injectable_generator: ^2.5.0
  flutter_gen_runner: ^5.11.0
  flutter_launcher_icons: ^0.14.4
  json_serializable: ^6.9.5

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/icons/
    - assets/fonts/
    - assets/json/
  fonts:
    - family: Quicksand
      fonts:
        - asset: assets/fonts/quicksand/Quicksand-Light.ttf
          weight: 300
        - asset: assets/fonts/quicksand/Quicksand-Regular.ttf
          weight: 400
        - asset: assets/fonts/quicksand/Quicksand-Medium.ttf
          weight: 500
        - asset: assets/fonts/quicksand/Quicksand-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/quicksand/Quicksand-Bold.ttf
          weight: 700

flutter_gen:
  output: lib/presentation/components/assets/
  integrations:
    flutter_svg: true
